Package Details: vassal 3.5.5-1

Git Clone URL: https://aur.archlinux.org/vassal.git (read-only, click to copy)
Package Base: vassal
Description: Game engine for building and playing online adaptations of board games and card games.
Upstream URL: http://www.vassalengine.org/
Licenses: LGPL
Submitter: davvil
Maintainer: timschumi
Last Packager: timschumi
Votes: 32
Popularity: 0.35
First Submitted: 2010-09-12 23:17
Last Updated: 2021-04-07 14:12

Required by (0)

Sources (2)

Latest Comments

1 2 3 Next › Last »

timschumi commented on 2021-03-29 01:16

@sunng

I updated the package so that it skips selecting a new java version if the default is already suitable (i.e. Java 11 or newer). Please let me know in case there are any issues.

timschumi commented on 2021-03-28 11:33

vassal is only compatible with Java 11 or newer. I'm also quite sure that not everyones default Java satisfies that (at least mine doesn't).

However, checking whether the users currently selected Java is already suitable is probably a good idea. I'll check whether I can make it skip searching in that case.

sunng commented on 2021-03-28 02:41

The JAVA_PATHS in /usr/bin/vassal results in random JRE selection if user installed multiple versions of JDK/JRE. For me, it uses GraalVM JRE which has issue for GUI apps. I would recommend using java directly because archlinux-java already deals with selection.

https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=vassal#n32

timschumi commented on 2021-02-03 19:21

Should be fixed now.

sn4fu commented on 2021-02-03 15:08

Vassal should also work with openjdk 15. However, the PKGBUILD currently only sets up the java paths for 11 to 14. Is this intentional?

MessedUpHare commented on 2019-01-11 11:28

I'm pretty sure this version is known to be not working with any Java newer than 8. This can be worked around by adding, "export PATH=/usr/lib/jvm/java-8-openjdk/jre/bin/:$PATH" to the second line in the script at "/usr/bin/vassal". This does mean there is a dependency on openjdk 8 then - but at least it's not broken anymore...

davvil commented on 2018-11-02 15:38

Thanks for reporting. I'll have a look at it next week.

n3vqm commented on 2018-11-01 20:30

Flagged as needing possible update due to vassal not working with java-11-openjdk.

davvil commented on 2016-06-18 20:38

Ups! That was a mistake. In the previous commit I prepared it to remove the call to jar, but I forgot to take it out from the PKGBUILD! It should be fixed now.

Gwmngilfen commented on 2016-06-18 19:56

Not sure where the "jar" command in the PKGBUILD is coming from, but it's not present on my system, so the build fails. Replacing "jar xf" with "unzip -xf" worked fine however... should jar be present? Assuming you have it, what package provides it for you?